Subject: `flyspell-use-meta-tab' does not take effect immediately

From: Samuel Bronson <[email-masked]>
Date: Sat, 21 Feb 2009 22:02:54 -0500

I used M-x customize-variable to turn off `flyspell-use-meta-tab'. I
went back to my file. I tried to use M-tab. It still invoked
flyspell. I tried M-x normal-mode. No improvement. I looked at the
source of flyspell, and it looks like it's checked by an `if' in the
definition of `flyspell-mode-map'.

In GNU Emacs 22.2.1 (i486-pc-linux-gnu, GTK+ Version 2.12.11)
 of 2008-11-09 on raven, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.10402000
configured using `configure  '--build=i486-linux-gnu' '--host=i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var/lib' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs22:/etc/emacs:/usr/local/share/emacs/22.2/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/22.2/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/22.2/leim' '--with-x=yes' '--with-x-toolkit=gtk' '--with-toolkit-scroll-bars' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -g -O2' 'LDFLAGS=-g' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8
  default-enable-multibyte-characters: t

Major mode: PDFLaTeX

Minor modes in effect:
  reftex-mode: t
  flyspell-mode: t
  TeX-PDF-mode: t
  show-paren-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  unify-8859-on-encoding-mode: t
  utf-translate-cjk-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: identity

Recent input:
C-s C-s <up> <up> <up> <up> <prior> <down> <down> <down> 
<up> <up> M-x C-g C-s C-s C-s C-s C-s C-s C-s C-s C-s 
<prior> C-s f l y s p e l l - u s e - m e t a - t a 
b C-s C-s <left> <left> <left> <left> <left> <left> 
<left> <left> <left> <left> M-x r e p o <tab> r <tab> 
<help-echo> <down-mouse-1> <mouse-1> <return> <tab> 
<backspace> f l y s p e l l - u s e - m , e <backspace> 
<backspace> e t a - m <backspace> t a b SPC d o e s 
SPC n o t SPC t a k e SPC e f f e c t SPC e <backspace> 
<home> ` <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <left> ' <end> i m m e r i d <backspace> 
<backspace> <backspace> d i a t e l y <return> <up> 
<up> <down> <down> <up> <up> <up> <end> <home> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <M-right> M-x 
C-g C-h f <return> C-h v <return> C-x o <down> <down> 
<down> <end> C-x o <down> <down> <down> <home> <up> 
<up> <down> <down> <next> <next> <next> <next> <next> 
<next> <next> <next> <prior> <prior> <prior> <next> 
<next> <prior> <next> <next> <prior> <prior> <prior> 
<prior> <next> <up> <down> <down> <end> <down> <down> 
<down> <down> <down> <down> <down> <down> <end> <up> 
<end> <down> <down> <down> <down> <down> <down> <down> 
<down> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <prior> <next> <next> <next> <next> <next> 
C-g <prior> <prior> <prior> C-x k <return> C-x k <return> 
M-x <up> <return>

Recent messages:
Mark saved where search started
Quit
Mark saved where search started [2 times]
Making completion list...
Loading emacsbug...done
Quit
You didn't specify a function
Type C-x 4 C-o RET to restore the other window.  
call-interactively: End of buffer [2 times]
Auto-saving...done
Quit